import request from "@/utils/request";

// 项目进度款列表
export function apiProjectProgressPaymentLists(params: any) {
  return request.get({
    url: "/project_process_management.project_progress_payment/lists",
    params,
  });
}

// 添加项目进度款
export function apiProjectProgressPaymentAdd(params: any) {
  return request.post({
    url: "/project_process_management.project_progress_payment/add",
    params,
  });
}

// 编辑项目进度款
export function apiProjectProgressPaymentEdit(params: any) {
  return request.post({
    url: "/project_process_management.project_progress_payment/edit",
    params,
  });
}

// 删除项目进度款
export function apiProjectProgressPaymentDelete(params: any) {
  return request.post({
    url: "/project_process_management.project_progress_payment/delete",
    params,
  });
}

// 项目进度款详情
export function apiProjectProgressPaymentDetail(params: any) {
  return request.get({
    url: "/project_process_management.project_progress_payment/detail",
    params,
  });
}

//apiProjectProgressPaymentSearch
export function apiProjectProgressPaymentSearch(params: any) {
  return request.get({
    url: "/project_process_management.project_progress_payment/datas",
    params,
  });
}
